#include <stdio.h>
void ucitaj_niz(int a[], int n);
void stampaj(int niz[],int a);
void sort(int niz[],int a);
int medijana(int a[], int n);
main()
{
unsigned int N,Q,z;
do
{
   printf("unesi broj glasova N i broj scenarija Q u opsegu od 1 do 2*10^5:");
   scanf("%d%d",&N,&Q);
}
while((N>=2*pow(10,5) || N<=1)||(Q>=2*pow(10,5) || Q<=1));
 unsigned int A[N];
 unsigned int B[Q];
 printf("Unesite glasove u niz A: ");
 ucitaj_niz(A, N);
 printf("Unesite scenarije u niz B: ");
 ucitaj_niz(B, Q);
sort(A,N);
 sort(B,Q);
 int medA=A[N/2];
 for(int i=0; i<Q; i++)
 {
   if(N%2!=0)
   {
    for(z=0;A[(N/2)+z]<B[i];z++)
    {
        if(A[(N/2)+z]==A[N-1])
        {
            z++;
            break;
        }
    }
    if(A[N-1]==B[i])
    {
        printf("%d\n",N-1);
    }
        else if(medA==B[i])
        {
            printf("0\n");
        }
        else
        {
            printf("%d\n",1+2*(z-1));
        }
   }
    else
    {
      for(z=0;A[(N/2)+z]<B[i];z++)
     {
        if(A[(N/2)+z]==A[N-1])
        {
            z++;
            break;
        }
    }
    if(A[N-1]==B[i])
    {
            printf("%d\n",N-1);
    }
       else if(medA==B[i])
       {
            printf("0\n");
       }
        else
        {
         printf("%d\n",(2*z));
        }
   }
   z=0;
 }
}
void sort(int niz[],int a)
{
    for(int i=0; i<a-1; i++)
        {
            for(int j=i+1; j<a; j++)
            {
                if(niz[j] < niz[i] )
                {
                    int b=niz[i];
                    niz[i]=niz[j];
                    niz[j]=b;
                }
            }
        }
}
void ucitaj_niz(int a[], int n)
{
int i;
printf("Ucitaj niz: ");
for (i = 0; i < n; i++)
scanf("%d", &a[i]);
}